> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/common/growth/analytics/referrer.md).

# Traffic source referrer

When the mini app runs `referrer` A referrer path is passed as a parameter. By using this value, you can identify which path the user entered the mini app through and analyze by acquisition channel.

### Referrer value list

| Category                   | referrer                                                                                                        | Description                                                                      |
| -------------------------- | --------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------- |
| Game Home                  | `gamehome`                                                                                                      | Access via Game Home                                                             |
| Search                     | `search`                                                                                                        | Access via the search bar within the All tab                                     |
| Mini App Home              | `miniapphome`                                                                                                   | Access via Mini App Home                                                         |
| `store`                    | Access via Store                                                                                                |                                                                                  |
| All tab                    | `all_tab`                                                                                                       | Access via the All tab                                                           |
| `all_tab_recent`           | Access via the recent area within the All tab                                                                   |                                                                                  |
| `all_tab_recent_all`       | Access via the More button in the recent area within the All tab                                                |                                                                                  |
| `all_tab_reco_random`      | Access via recommendations randomly shown when entering the All tab                                             |                                                                                  |
| `all_tab_reco_organic`     | Access via recommendations shown when entering the All tab                                                      |                                                                                  |
| `all_tab_reco_inorganic`   | Access via recommendations shown after drawing users into the All tab                                           |                                                                                  |
| Toss support promotion     | `airdrop`                                                                                                       | Access via the bonus friend in 'Turn on Toss Together and Get Points'            |
| `gamehome_via_airdrop`     | Land on the Game Home half-view via 'Turn on Toss Together and Get Points' and then click to enter              |                                                                                  |
| `miniapphome_via_airdrop`  | Land on the Mini App Home half-view via 'Turn on Toss Together and Get Points' and then click to enter          |                                                                                  |
| `store_via_airdrop`        | Land on the Store half-view via 'Turn on Toss Together and Get Points' and then click to enter                  |                                                                                  |
| Toss Home Ads              | `home_intelligence`                                                                                             | Access via Home Intelligence                                                     |
| `game_countdown`           | After landing on the game introduction page via Home Intelligence, click or automatically enter after 5 seconds |                                                                                  |
| `gamehome_via_intelli`     | Land on the Game Home half-view via Home Intelligence and then click to enter                                   |                                                                                  |
| `miniapphome_via_intelli`  | Land on the Mini App Home half-view via Home Intelligence and then click to enter                               |                                                                                  |
| `store_via_intelli`        | Land on the Store half-view via Home Intelligence and then click to enter                                       |                                                                                  |
| Toss Ads                   | `tossads`                                                                                                       | Access via Toss Ads                                                              |
| Push notifications         | `inbox`                                                                                                         | Access via notifications within the Toss app                                     |
| `push`                     | Access via pushes outside the Toss app                                                                          |                                                                                  |
| Benefits tab               | `benefit_tab`                                                                                                   | Access via the Benefits tab                                                      |
| Other                      | `contacts_module`                                                                                               | Access via a link shared through the Contacts module feature within the Toss app |
| `external__owned_social`   | Access via Toss-owned external SNS                                                                              |                                                                                  |
| `external__partner_social` | Access via partner company external SNS                                                                         |                                                                                  |
| `external_ads`             | Access via external ads                                                                                         |                                                                                  |
| `external_link`            | Access via an external link                                                                                     |                                                                                  |
| `external_search`          | Access via the external user's device's built-in search                                                         |                                                                                  |
| `external_share`           | Access via a link shared using the share feature within the mini app and in Mini App Home/Game Home             |                                                                                  |
| `minihome_appsintoss`      | Access via Mini Home within the All tab                                                                         |                                                                                  |
| `shortcut`                 | Access via a device shortcut                                                                                    |                                                                                  |
| `toss_news`                | Access via Toss News                                                                                            |                                                                                  |
| `tosspay_paybenefit`       | Access via the discount-applied coupon placement in Toss Pay                                                    |                                                                                  |
| `etc`                      | Other                                                                                                           |                                                                                  |
| `test`                     | Test                                                                                                            |                                                                                  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/common/growth/analytics/referrer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
